Find answers, ask questions, and connect with our
community around the world.

Activity Forums Web Design SQLite package not found in Electron/TypeORM

  • SQLite package not found in Electron/TypeORM

    updated 2 weeks, 5 days ago 0 Member · 1 Post
  • Maverick

    Member
    October 30, 2019 at 12:17 pm

    I’m working on an app that’s based on Electron (1.7), TypeORM (0.2.6), SQLite3 (3.1.13) & Ionic (3.19.1). I’m trying to update the database dependencies to their latest versions (TypeORM 0.2.20 & SQLite3 4.1.0). The project compiles correctly but when I run the app, I’m getting this error: Error: SQLite package has not been found installed. Try to install it: npm install sqlite3 –save Of course it’s installed and its binding has been built through electron-builder install-app-deps: node_modules/sqlite3/lib/binding/ ├── electron-v1.7-darwin-x64 │ └── node_sqlite3.node └── node-v57-darwin-x64 └── node_sqlite3.node What did I miss? – by hq overview Pipo-Prods – –

Reply to: Maverick
Your information:

Cancel
Original Post
0 of 0 posts June 2018
Now